The CRM Note object
Attributes
Unique identifier for the object.
{
"id": "c-r-m-note_abc123",
"idx": 1,
"parent_id": null,
"parent_type": "parent_type_example",
"note": "note_example",
"added_by": "added_by_example",
"added_on": "added_on_example"
} /api/crm/c-r-m-note?parent_id={id} List crm notes by parent
Returns all crm notes belonging to the specified parent.
Query parameters
The ID of the parent to list children for.
Returns
A list of crm note objects belonging to the parent.
curl https://api.overplane.dev/api/crm/c-r-m-note?parent_id=parent_abc123 \
-H "Authorization: Bearer sk_test_..." {
"data": [
{
"id": "c-r-m-note_abc123",
"idx": 1,
"parent_id": null,
"parent_type": "parent_type_example",
"note": "note_example",
"added_by": "added_by_example",
"added_on": "added_on_example"
}
],
"has_more": false,
"total": 1
} /api/crm/c-r-m-note Create a crm note
Creates a new crm note object.
Body parameters
Returns
Returns the newly created crm note object if the call succeeded.
curl https://api.overplane.dev/api/crm/c-r-m-note \
-H "Authorization: Bearer sk_test_..." \
-X POST \
-H "Content-Type: application/json" \
-d '{"parent_id":null,"parent_type":"parent_type_example"}' {
"id": "c-r-m-note_abc123",
"idx": 1,
"parent_id": null,
"parent_type": "parent_type_example",
"note": "note_example",
"added_by": "added_by_example",
"added_on": "added_on_example"
} /api/crm/c-r-m-note/{id} Update a crm note
Updates the specified crm note by setting the values of the parameters passed. Any parameters not provided will be left unchanged.
Path parameters
The identifier of the crm note to update.
Body parameters
Returns
Returns the updated crm note object.
curl https://api.overplane.dev/api/crm/c-r-m-note/c-r-m-note_abc123 \
-H "Authorization: Bearer sk_test_..." \
-X PATCH \
-H "Content-Type: application/json" \
-d '{"idx":1,"parent_id":null}' {
"id": "c-r-m-note_abc123",
"idx": 1,
"parent_id": null,
"parent_type": "parent_type_example",
"note": "note_example",
"added_by": "added_by_example",
"added_on": "added_on_example"
} /api/crm/c-r-m-note/{id} Delete a crm note
Permanently deletes a crm note. This cannot be undone.
Path parameters
The identifier of the crm note to delete.
Returns
Returns a confirmation that the crm note has been deleted.
curl https://api.overplane.dev/api/crm/c-r-m-note/c-r-m-note_abc123 \
-H "Authorization: Bearer sk_test_..." \
-X DELETE {
"id": "c-r-m-note_abc123",
"deleted": true
} /api/crm/c-r-m-note/reorder Reorder crm notes
Updates the sort order of crm notes within their parent by setting new index values.
Returns
Returns the reordered list.
curl https://api.overplane.dev/api/crm/c-r-m-note/reorder \
-H "Authorization: Bearer sk_test_..." \
-X POST {
"id": "c-r-m-note_abc123",
"idx": 1,
"parent_id": null,
"parent_type": "parent_type_example",
"note": "note_example",
"added_by": "added_by_example",
"added_on": "added_on_example"
}